.top {
    z-index: 1250;
    background: $white;
    position: relative;
    box-shadow: $shadow-100;
    font-size: size-rel(12px);
    line-height: size-rel(22px);

    &__wrap {
        height: 38px;
        display: flex;
        color: $accent;
        align-items: center;
        justify-content: space-between;
    }

    &__button {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        color: $accent;
        cursor: pointer;
        position: relative;
        text-decoration: none;
        display: inline-block;
        background: transparent;
        text-transform: uppercase;
        font-size: size-rel(12px);
        line-height: size-rel(22px);
    }

    @include media-breakpoint-up(lg) {
        display: none !important;
    }
}

.header {
    background: #fff;
    padding: 30px 0 20px 0;

    &__wrap {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
    }

    &__logo {
        width: 89px;
        font-size: 0;
        line-height: 0;
        display: block;

        &--sm {
            display: block;
        }

        &--md {
            display: none;
        }
    }

    &__content {
        text-align: right;
    }

    &__phone {
        color: $primary;
        text-decoration: none;
        display: flex;
        align-items: center;
        font-weight: 600;
        font-size: size-rel(14px);
        line-height: size-rel(24px);

        &--icon {
            margin-right: 12px;
        }

        svg {
            fill: none;
            stroke: $accent;
        }

        &:hover {
            color: $primary;
            text-decoration: none;
        }

    }

    &__callback {
        color: $accent;
        text-decoration: none;
        font-weight: 500;
        font-size: size-rel(12px);
        line-height: size-rel(24px);

        &:hover {
            color: $primary;
            text-decoration: none;
        }
    }

    &__development {
        opacity: 0.5;
        display: none;
        white-space: nowrap;
        position: relative;
        color: $accent;
        font-weight: 500;
        font-size: size-rel(14px);
        line-height: size-rel(24px);
        border: 1px solid $accent;
        padding: 16px 68px 16px 24px;
        border-radius: 4px;

        &--close {
            right: 16px;
            top: calc(50% - 12px);
            width: 24px;
            height: 24px;
            font-size: 0;
            line-height: 0;
            border: none;
            outline: none;
            cursor: pointer;
            position: absolute;
            background: transparent;

            &:after,
            &:before {
                top: 50%;
                left: calc(50% - 10px);
                content: '';
                z-index: 10;
                width: 20px;
                height: 1px;
                position: absolute;
                background: $accent;
            }

            &:after {
                transform: rotate(45deg);
            }

            &:before {
                transform: rotate(-45deg);
            }
        }
    }

    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(lg) {
        padding-top: 0;
        height: 206px;
        padding-bottom: 20px;

        &__logo {
            width: 186px;
            flex-shrink: 0;

            &--sm {
                display: none;
            }

            &--md {
                width: 186px;
                display: block;
            }
        }

        &__content {
            flex-grow: 1;
            padding-top: 32px;
            padding-left: 84px;
            text-align: left;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__phone {
            font-size: size-rel(20px);
            line-height: size-rel(32px);

            &--icon {
                display: none;
            }
        }

        &__callback {
            font-size: size-rel(14px);
            line-height: size-rel(24px);
        }

        &__development {
            display: inline-block;
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            position: relative;
        }

        &__logo {
            top: 0;
            position: fixed;
        }


        &__content {
            padding-left: 270px;
        }
    }

    @include media-breakpoint-up(xxl) {
        height: 276px;

        &__logo {
            width: 256px;

            &--md {
                width: 256px;
            }
        }

        &__content {
            padding-left: 366px;
        }
    }
}

.header-sticky {
    display: none;
    transition: .3s;

    &__row {
        height: 58px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        display: flex;
        align-items: center;

        &--icon {
            font-size: 0;
            line-height: 0;
            width: 33px;
            display: block;
        }

        &--text {
            padding-left: 13px;
            font-weight: 500;
            font-size: size-rel(14px);
            line-height: size-rel(24px);
            text-transform: uppercase;
        }
    }

    &__phone {
        display: flex;
        align-items: center;
        color: $primary;
        text-decoration: none;
        font-weight: 600;
        font-size: size-rel(14px);
        line-height: size-rel(24px);


        &--icon {
            font-size: 0;
            line-height: 0;
            margin-left: 12px;
        }
    }
}



.fix-top {
   padding-top: 200px;

    .root__header {
        top: 0;
        left: 0;
        right: 0;
        position: fixed;
        background: #fff;
        box-shadow: $shadow-100;
    }

    .header {
        display: none;
    }

    .header-sticky {
        display: block;
    }

    @include media-breakpoint-up(lg) {
        padding-top: 0;

        .root__header {
            top: auto;
            left: auto;
            right: auto;
            position: relative;
            background: #fff;
            box-shadow: none;
        }

        .header {
            display: block;
        }

        .header-sticky {
            display: none;
        }
    }
}

.header__logo {
    transition: .3s;
}

.hide-sidebar {


    @include media-breakpoint-up(xl) {

        .header__logo {
            opacity: 0;
            visibility: hidden;
            transition: .3s;
        }
    }
}

.hide-contact {

    @include media-breakpoint-up(xl) {

        .side-contact {
            opacity: 0;
            visibility: hidden;
        }
    }
}
